#ifndef BARNES_HUT_TREE_HPP
#define BARNES_HUT_TREE_HPP

#include "Tree.hpp"
#include "Box.hpp"

namespace nbody {
	class Node;

	class BarnesHutTree : public Tree {
	protected:
		virtual vector<Box> splitBB(Node* node);
	public:
		BarnesHutTree();
		virtual ~BarnesHutTree();
		virtual void build(vector<Body> bodies);
		virtual int numberOfChildren();

	};
}

#endif
